PhotoPost Photo Gallery Sales PhotoPost Sales Toll Free Phone Number
Mon-Fri 9am-4pm EST
  PhotoPost Photo Sharing Photo Gallery    Visualize community tm
| | | | | | | | |

Go Back   PhotoPost Community > General Forums > General Discussion

General Discussion General use discussion forum for PhotoPost products.

Reply
 
Thread Tools Rate Thread Display Modes
Old March 14th, 2006, 11:11 AM   #1
madsere
Registered User
 
Join Date: Mar 2006
Posts: 2
phpdownloads .. arrgh!

Does it ever occur to you some of us are on crappy 14.4k dial up lines? Downloading the software to a pc to later upload it to a hosting server is not very efficient. Would be nice if there was a way to 'wget' the file to the server. Would also be nice if a tgz (gzipped tarball) was available. This is afterall Linux software, no?
madsere is offline   Reply With Quote
Old March 14th, 2006, 11:36 AM   #2
Chuck S
Photopost Developer
Verified Customer
 
Chuck S's Avatar
 
Join Date: Jun 2002
Location: Abingdon,MD
Posts: 75,524
This is not linux software NO.

This is PHP software and given the fact that just like any other major downloadable software provider that I know of like vbulletin etc you must go through the authentication process in the members area to ensure you are entitled to download the software so you can not wget it. wget is used mainly in free software depositories.

As far as uploading the software you may upload the zip file to your server and use the command unzip to unzip it.
__________________
Photopost Developer and Support Engineer

Please do not PM me for support or sales questions. Thank you for your understanding.
Chuck S is offline   Reply With Quote
Old March 14th, 2006, 12:49 PM   #3
madsere
Registered User
 
Join Date: Mar 2006
Posts: 2
Well I think you know pretty well that the majority of those using this software are Linux based. What are you so nervous for? Don't you trust your license system? Anyway, I installed lynx on the server and downloaded it but it was INCONVENIENT and UNNECESSARY!

Next: What version do I use? How can I know? I didn't install this software, just tasked with upgrading it. After enxtensive digging I find the version 3.1.0 in the settings table. Ok, modified config-inc.php, a few database settings and path names to changes. So the "brilliant" (read, unclear and incomplete) UPGRADE.TXT document says run the upgrade.php and pick your version. So I do. Nothing. No, really. Nothing. Just a blank screen. Ok, I try that again from the CLI, aha:
Quote:
[root@plesk1 httpdocs]# php upgrade310.php
Content-type: text/html
X-Powered-By: PHP/4.3.9

Preparing to update 3.1.0 database...<p> Performing MySQL command: REPLACE INTO settings VALUES (101,'Display new comments/photos indicator on index?','displaynew','','no',58,2)
... Successful!<br /> Performing MySQL command: REPLACE INTO settings VALUES (17,'Default maximum file upload size in kB','uploadsize','','250',87,3) ... Successful!<br />Finished upgrade!
Alll that mhuha to add one line to a table?

So for running the website .. again NOTHING. Blank screen. Back to the CLI, again more errors.

Quote:
[root@plesk1 httpdocs]# php index.php
PHP Warning: main(/var/www/vhosts/xxx.com/httpdocs/templates/.tmpl): failed to open stream: No such file or directory in /var/www/vhosts/xxx.com/httpdocs/pp-inc.php on line 257
PHP Warning: main(): Failed opening '/var/www/vhosts/xxx.com/httpdocs/templates/.tmpl' for inclusion (include_path='.:/usr/share/pear') in /var/www/vhosts/xxx.com/httpdocs/pp-inc.php on line 257
PHP Warning: main(/var/www/vhosts/xxx.com/httpdocs/forums/Internal.php): failed to open stream: No such file or directory in /var/www/vhosts/xxx.com/httpdocs/pp-inc.php on line 3375
PHP Fatal error: main(): Failed opening required '/var/www/vhosts/xxx.com/httpdocs/forums/Internal.php' (include_path='.:/usr/share/pear') in /var/www/vhosts/xxx.com/httpdocs/pp-inc.php on line 3375
Content-type: text/html
X-Powered-By: PHP/4.3.9
(No, I don't own xxx.com, unfortunately, just obfuscated.)

Now what?

What is the problem with this upgrade?

What is your software expecting here: /var/www/vhosts/xxx.com/httpdocs/templates/.tmpl'

And here:
/var/www/vhosts/xxx.com/httpdocs/forums/Internal.php

The current installation works. Trying to upgrade it to the latest version ought to be a relatively painless process. This is really too much.
madsere is offline   Reply With Quote
Old March 14th, 2006, 04:10 PM   #4
Chuck S
Photopost Developer
Verified Customer
 
Chuck S's Avatar
 
Join Date: Jun 2002
Location: Abingdon,MD
Posts: 75,524
Quote:
Well I think you know pretty well that the majority of those using this software are Linux based. What are you so nervous for? Don't you trust your license system? Anyway, I installed lynx on the server and downloaded it but it was INCONVENIENT and UNNECESSARY!
It does not matter what system the software is installed on. I guess you just don't get the point I made. This is paid software if you want to download the software you must enter the username password for the software in the members area and you will be presented with a download link. This is how every paid software I have ever paid for is downloaded and is just how it is done.

Now I would suggest if your trying to obtain support and have upgrade issues you post in our install/upgrade forum after verifying yourself as a license holder

http://www.photopost.com/forum/announcement.php?f=64

You can try this in upgrade.php at top add this in bold

Code:
Content visible to verified customers only.
__________________
Photopost Developer and Support Engineer

Please do not PM me for support or sales questions. Thank you for your understanding.
Chuck S is offline   Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Display Modes Rate This Thread
Rate This Thread:

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -5. The time now is 05:21 AM.

Powered by vBulletin® Version 3.8.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.